Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2022-3924

Published: 25 January 2023

This issue can affect BIND 9 resolvers with `stale-answer-enable yes;` that also make use of the option `stale-answer-client-timeout`, configured with a value greater than zero. If the resolver receives many queries that require recursion, there will be a corresponding increase in the number of clients that are waiting for recursion to complete. If there are sufficient clients already waiting when a new client query is received so that it is necessary to SERVFAIL the longest waiting client (see BIND 9 ARM `recursive-clients` limit and soft quota), then it is possible for a race to occur between providing a stale answer to this older client and sending an early timeout SERVFAIL, which may cause an assertion failure. This issue affects BIND 9 versions 9.16.12 through 9.16.36, 9.18.0 through 9.18.10, 9.19.0 through 9.19.8, and 9.16.12-S1 through 9.16.36-S1.

Notes

AuthorNote
alexmurray
As of isc-dhcp-4.4.3-1, isc-dhcp vendors bind9 libs
mdeslaur
This issue was introduced in 9.16.12

Priority

Medium

Cvss 3 Severity Score

7.5

Score breakdown

Status

Package Release Status
isc-dhcp
Launchpad, Ubuntu, Debian
kinetic Not vulnerable
(code not present)
bionic Not vulnerable
(code not present)
focal Not vulnerable
(code not present)
jammy Not vulnerable
(code not present)
lunar Not vulnerable
(code not present)
trusty Not vulnerable
(code not present)
upstream Needs triage

xenial Not vulnerable
(code not present)
bind9
Launchpad, Ubuntu, Debian
bionic Not vulnerable
(1:9.11.3+dfsg-1ubuntu1.18)
focal Not vulnerable
(1:9.16.1-0ubuntu2.11)
jammy
Released (1:9.18.1-1ubuntu1.3)
kinetic
Released (1:9.18.4-2ubuntu2.1)
lunar
Released (1:9.18.11-2ubuntu1)
trusty Not vulnerable

upstream
Released (9.16.37,9.18.11,9.19.9)
xenial Not vulnerable

Severity score breakdown

Parameter Value
Base score 7.5
Attack vector Network
Attack complexity Low
Privileges required None
User interaction None
Scope Unchanged
Confidentiality None
Integrity impact None
Availability impact High
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H